<template>
  <v-container class="mb-5">
    <v-row>
      <v-col class="ml-5 font-weight-bold">
        <h3>Rango de Meses:</h3>
      </v-col>
    </v-row>
    <v-row class="d-flex">
      <v-col class="ml-5 font-weight-bold" cols="10" sm="3" lg="3" md="3">
        <v-menu
          ref="menu"
          v-model="menu"
          :close-on-content-click="false"
          :return-value.sync="date"
          transition="scale-transition"
          offset-y
          max-width="290px"
          min-width="auto"
        >
          <template #activator="{ on, attrs }">
            <v-text-field
              v-model="date"
              label="Mes Inicial"
              prepend-icon="mdi-calendar"
              readonly
              v-bind="attrs"
              v-on="on"
            />
          </template>
          <v-date-picker
            v-model="date"
            type="month"
            no-title
            scrollable
          >
            <v-spacer />
            <v-btn
              text
              color="primary"
              @click="menu = false"
            >
              Cancelar
            </v-btn>
            <v-btn
              text
              color="primary"
              @click="$refs.menu.save(date)"
            >
              OK
            </v-btn>
          </v-date-picker>
        </v-menu>
      </v-col>
      <v-col class="ml-5 font-weight-bold" cols="10" sm="3" lg="3" md="3">
        <v-menu
          ref="menu2"
          v-model="menu2"
          :close-on-content-click="false"
          :return-value.sync="date2"
          transition="scale-transition"
          offset-y
          max-width="290px"
          min-width="auto"
        >
          <template #activator="{ on, attrs }">
            <v-text-field
              v-model="date2"
              label="Mes Final"
              prepend-icon="mdi-calendar"
              readonly
              v-bind="attrs"
              v-on="on"
            />
          </template>
          <v-date-picker
            v-model="date2"
            type="month"
            no-title
            scrollable
          >
            <v-spacer />
            <v-btn
              text
              color="primary"
              @click="menu2 = false"
            >
              Cancelar
            </v-btn>
            <v-btn
              text
              color="primary"
              @click="$refs.menu2.save(date2)"
            >
              OK
            </v-btn>
          </v-date-picker>
        </v-menu>
      </v-col>
      <v-col cols="3">
        <v-btn
          large
          color="primary"
          class="ml-5 mt-3"
          @click="handleClick"
        >
          Actualizar Reporte
        </v-btn>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: 'Filters',
  components: {
  },
  data() {
    return {
      // date: new Date().toISOString().substr(0, 7),
      date: new Date(2021, 0).toISOString().substr(0, 7),
      menu: false,
      modal: false,
      // date2: new Date().toISOString().substr(0, 7),
      date2: new Date(2021, 5).toISOString().substr(0, 7),
      menu2: false,
      modal2: false,
    };
  },
  methods: {
    handleClick() {
      this.$emit('changeDates', this.date, this.date2);
    },
  },
};
</script>
